# -*- coding: utf8 -*-
import link, os, config
from datetime import datetime

class Body:
	def __init__(self, site, page):
		self.site=site
		self.a=link.Link(site)
		self.datadir=config.datadir
		self.part=page
		
	def menu(self):
		print (self.a.link(self.a.delta('+w'), '-týden'))
		print (self.a.link(self.a.delta('+d'), '-den'))
		print (self.a.link(self.a.delta('+h'), '-hodina'))
		print (self.a.link(self.a.delta('+m'), 'minulý'))
		print (self.a.link(self.a.delta('-m'), 'následující'))
		print (self.a.link(self.a.delta('-h'), '+hodina'))
		print (self.a.link(self.a.delta('-d'), '+den'))
		print (self.a.link(self.a.delta('-w'), '+týden'))
		print ("<a href=\"?f=latest\">nejnovější</a>")

	
	def articles(self):
		print ("<header>")
		print ("<h1>Hnízdo</h1>")
		print ("<nav>")
		self.menu()
		print ("</nav>")
		print ("</header>")
		print ("<article id=\"prev\">")
		print (self.a.imglink(self.a.delta('+m'),'prev'))
		print ("<p>"+self.a.timestamp(self.a.delta('+m'))+"</p>")
		print ("</article>")
		print ("<article id=\"now\">")
		print (self.a.imglink(self.a.img, 'now'))
		print ("<p>"+self.a.timestamp(self.a.img)+"</p>")
		print ("</article>")
		print ("<article id=\"next\">")
		print (self.a.imglink(self.a.delta('-m'), 'next'))
		print ("<p>"+self.a.timestamp(self.a.delta('-m'))+"</p>")
		print ("</article>")
		print ("<footer>")
		print ("<a href=\"?f=index\" title=\"všechny fotky\">vše</a>")
		print ("</footer>")
	
	def index(self, page):
		index=os.listdir(os.path.realpath(self.datadir))
		remove=['notfound.jpeg', 'latest.jpeg']
		for r in remove:
			index.remove(r)
                index.sort()
                count=len(index)
                pnum=count/config.pagination+1
                if int(page) > int(pnum):
                    page=pnum-1
                #print pnum
                rngend=(int(page)+1)*config.pagination-1
                #print rngend
                rngstart=rngend-(config.pagination-1)
                #print rngstart
                print ("<header>")
		print ("<h1>Hnízdo - Index</h1>")
		print ("</header>")
		print ("<nav>")
                a = 0
                while a < pnum:
                    print("<a href=\"?f=index&p="+str(a)+"\">"+str(a+1)+"</a>")
                    a = a + 1
                print ("</nav>")
		print ("<ul>")
		f = rngstart
		while f <= rngend and f <= count-1:
                        #print f
                        print("<li>")
			print(self.a.imglink(index[f], ""))
			print("<p>"+self.a.link(index[f], self.a.timestamp(index[f]))+"</p>")
			print("</li>")
                        f = f + 1
                print ("</ul>")
		
	def page(self):
		if self.site == "index":
			self.index(self.part)
		else:
			self.articles()
